using System;
using System.ServiceProcess;
using System.Configuration.Install;
using System.ComponentModel;
using System.Windows.Forms;
using System.Threading;

public class SimpleServer : ServiceBase
{


    private System.Threading.Timer timer;

    public SimpleServer()
    {
        this.ServiceName = "SimpleServer";
        this.CanStop = true;
        this.CanPauseAndContinue = false;
        this.AutoLog = true;
    }
    protected override void OnStart(string[] args)
    {
        TimerCallback tick = new TimerCallback(SayHello);
        timer = new System.Threading.Timer(tick, null, 0, 10000);
    }

    protected override void OnStop()
    {
        timer.Dispose();
    }

    public static void Main()
    {
        ServiceBase.Run(new SimpleServer());
    }
    private void SayHello(object state)
    {
        MessageBox.Show("Hello Service",
           "SimpleService",
           MessageBoxButtons.OK,
           MessageBoxIcon.Information,
           MessageBoxDefaultButton.Button1,
           MessageBoxOptions.ServiceNotification);
    }
}
[RunInstaller(true)]
public class SimpleService : Installer
{
    private ServiceProcessInstaller processInstaller;
    private ServiceInstaller serviceInstaller;

    public SimpleService()
    {
        processInstaller = new ServiceProcessInstaller();
        serviceInstaller = new ServiceInstaller();

        processInstaller.Account = ServiceAccount.LocalSystem;
        serviceInstaller.StartType = ServiceStartMode.Manual;
        serviceInstaller.ServiceName = "SimpleService";

        Installers.Add(serviceInstaller);
        Installers.Add(processInstaller);
    }
}




